package view;

import javax.swing.JPanel;

public class Leaf extends JPanel {

	protected Box parentBox;

	public Leaf(Box parentBox) {
		this.parentBox = parentBox;
		setSize(parentBox.getWidth(), parentBox.getHeight());
		setPreferredSize(getSize());

		if(parentBox !=  null) {
			setLocation(parentBox.getLocation());
		}
	}



	public int getID() {
		return parentBox.getID();
	}

	public Box getParentBox() {
		return parentBox;
	}

	public boolean isSelected() {
		return SelectionList.isSelectedLeaf(this);
	}
}
